Summary:        Barnyard is a processor for the snort unified log format
Name:           barnyard
Version:        0.1.0rc2
Release:        2
URL:		http://www.snort.org/dl/barnyard/
Source0:        http://www.snort.org/dl/barnyard/%{name}-0.1.0-rc2.tar.gz
License:        QPL
Group:          Applications/Internet
BuildRoot:      %{_tmppath}/%{name}-root
BuildRequires:  MySQL-devel
Requires:	snort >= 1.8.7
Patch1:		barnyard-config.patch

%description
Barnyard is a processor for the snort unified log format

%prep
%setup -q -n %{name}-0.1.0-rc2

%patch1 -p1 -b .config

%build
%configure --enable-mysql --with-mysql-libraries=/usr/lib --disable-postgres --prefix=/usr --libexec=/usr/libexec/barnyard --datadir=/usr/share/barnyard --sysconfdir=%{_sysconfdir}/snort.d --sharedstatedir=/var/share/barnyard --localstatedir=/var/state/barnyard
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/snort.d
cp etc/barnyard.conf $RPM_BUILD_ROOT/%{_sysconfdir}/snort.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc docs/BUGS docs/ChangeLog docs/FAQ docs/INSTALL docs/NEWS docs/USAGE LICENSE.QPL COPYING AUTHORS README
%attr(-,root,root) %config(noreplace) %{_sysconfdir}/snort.d/barnyard.conf
%attr(-,root,root) %{_bindir}/*

%changelog
* Wed Sep 18 2002 Gareth Marshall <garethm@acm.org> 0.1.0-rc2
- fixed license description

* Wed Sep 18 2002 Gareth Marshall <garethm@acm.org> 0.1.0-rc2
- initial construction
